Subject: bug#54188: Crash when eval-ing font test elisp code

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2022 22:33:24 +0200

> Date: Tue, 1 Mar 2022 22:08:50 +0200
> Cc: [email-masked]
> From: Vordoo <[email-masked]>
> 
> On 3/1/22 21:37, Eli Zaretskii wrote:
> > Hmm...
> > Does evaluating the following (with M-:) crash on your system?
> >
> >    (let ((str "The quick brown fox jumps over the lazy dog ´`''\"\"1lI|¦!Ø0Oo{[()]}.,:; "))
> >          (insert (propertize str
> > 	        'font-lock-face '(:family "charter")) "\n")
> >          (insert (propertize str
> >                  'font-lock-face '(:family "charter" :slant italic))))
> >
> > It doesn't crash here, and so I wonder what happens on your system
> > that causes the face's fontset ID to become -1.  If you can figure
> > that out, maybe it will help; or maybe someone else will be able to
> > reproduce and investigate.
> >
> > (I tried to do this with Caladings CLM font, but all the fonts I find
> > of that family are AFM or PFA/PFB fonts, and I cannot use them.)
> Yep it crashes :(

Do you have all the 4 fonts of the Charter family (regular,
italic. bold, bold-italic) installed?  Or just some of them.

And what version of that family do you have installed?